-- name: [CS] Mr. (Ant) Tenna
-- description: Mod by Trashcam i love chapter 3
--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md
]]

local E_MODEL_TENNA_MODEL = smlua_model_util_get_id("tenna_geo")

local TEXT_MOD_NAME = "Tenna Pack"

local VOICETABLE_TENNA = {
    [CHAR_SOUND_PANTING] = 'TennaDohAh.ogg',
    [CHAR_SOUND_ATTACKED] = 'TennaDohAh.ogg',
    [CHAR_SOUND_DROWNING] = 'TennaOh.ogg',
    [CHAR_SOUND_DYING] = 'TennaOh.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'TennaYahoo.ogg',
    [CHAR_SOUND_HAHA] = 'TennaOugh.ogg',
    [CHAR_SOUND_HAHA_2] = 'TennaOugh.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'TVTIME.ogg',
    [CHAR_SOUND_HOOHOO] = 'TennaOh.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'TennaOh.ogg',
    [CHAR_SOUND_OKEY_DOKEY] = 'TennaOugh.ogg',
    [CHAR_SOUND_ON_FIRE] = 'TennaOh.ogg',
    [CHAR_SOUND_OOOF] = 'TennaDohAh.ogg',
    [CHAR_SOUND_OOOF2] = 'TennaDohAh.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'TennaOugh.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'TennaYahoo.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'TennaYa.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'TennaComing.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'TennaOugh.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'TennaOh.ogg',
    [CHAR_SOUND_WAH2] = 'TennaYa.ogg',
    [CHAR_SOUND_WHOA] = 'TennaYa.ogg',
    [CHAR_SOUND_YAHOO] = 'TennaComing.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'TennaDohAh.ogg', 'TennaYahoo.ogg', 'TennaOugh.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'TennaYa.ogg','TennaOh.ogg','TennaOugh.ogg'},
}

local PALETTE_TENNA = {
    [PANTS]  = "37434B",
    [SHIRT]  = "DA2253",
    [GLOVES] = "FEFBFF",
    [SHOES]  = "FCF85F",
    [HAIR]   = "730600",
    [SKIN]   = "fec179",
    [CAP]    = "615CA2",
    [EMBLEM] = "BFADED",
}

if _G.charSelectExists then
    _G.charSelect.character_add("Mr. (Ant) Tenna", {"It's TV Time!"}, "Trashcam", {r = 255, g = 185, b = 139}, E_MODEL_TENNA_MODEL, CT_MARIO, get_texture_info("tenna"))
    _G.charSelect.character_add_palette_preset(E_MODEL_TENNA_MODEL, PALETTE_TENNA)

    _G.charSelect.character_add_voice(E_MODEL_TENNA_MODEL, VOICETABLE_TENNA)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_TENNA then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_TENNA then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end